<?php

namespace Drupal\payment_stripe\Controller;

use Drupal\Core\Controller\ControllerBase;

// Added
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Drupal\payment_stripe\Event\StripePaymentPreAuthorizeEvent;
use Drupal\payment_stripe\Event\StripeEvents;

/**
 * Controller routines for book routes.
 */
class ValidateDonateFormController extends ControllerBase {

  /**
   *  @var \Symfony\Component\EventDispatcher\EventDispatcherInterface
   */
  protected $eventDispatcher;

  /**
   * ValidateDonateFormController constructor.
   * @param EventDispatcherInterface $eventDispatcher
   */
  public function __construct(EventDispatcherInterface $eventDispatcher) {
    $this->eventDispatcher = $eventDispatcher;
  }

  /**
   * @param \Symfony\Component\DependencyInjection\ContainerInterface $container
   * @return static
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('event_dispatcher')
    );
  }

  /**
   * Custom validation form using OOP.
   *
   * @param $form
   * @param $form_state
   */
  public static function donate_form_validate($form, &$form_state) {
    // Simple example.
    $name = $form_state->getValue('name');
    if ($name == 'your_text') {
      $form_state->setErrorByName('name', t('Sorry! Check your_text field.'));
    }
  }

}