<?php

namespace Drupal\payment_stripe\Event;

use Symfony\Component\EventDispatcher\Event;

/**
 * Class StripeWebhookChargeFailed
 * @package Drupal\payment_stripe\Event
 */
class StripeWebhookChargeFailed extends Event {

  /**
   * @var \Stripe\Event
   */
  protected $event;

  /**
   * StripeWebhookChargeFailed constructor.
   * @param \Stripe\Charge $event
   */
  public function __construct(\Stripe\Charge $event) {
    $this->event = $event;
  }

  /**
   * @return \Stripe\Event
   */
  public function getEvent() {
    return $this->event;
  }

  /**
   * @return string
   */
  public function getStripeId() {
    return $this->event->id;
  }
}