<?php

namespace Drupal\payment_stripe\Event;

use Symfony\Component\EventDispatcher\Event;

/**
 * Class StripeWebhookChargeSucceeded.
 * @package Drupal\payment_stripe\Event
 */
class StripeWebhookChargeSucceeded extends Event {

  /**
   * Stripe API event object.
   *
   * @var \Stripe\Event
   */
  protected $event;

  /**
   * Constructs a Stripe Webhook Charge object.
   *
   * StripeWebhookChargeSucceeded constructor.
   * @param \Stripe\Charge $event
   */
  public function __construct(\Stripe\Charge $event) {
    $this->event = $event;
  }

  /**
   * Gets Stripe API event object.
   *
   * @return \Stripe\Event
   */
  public function getEvent() {
    return $this->event;
  }

  /**
   * Gets
   *
   * @return string
   */
  public function getStripeId() {
    return $this->event->id;
  }
}