<?php
/**
 * @file
 * Contains \Drupal\payment_stripe\ExampleEventSubScriber.
 */
namespace Drupal\payment_stripe\EventSubscriber;

// Added.
use Drupal\payment_stripe\Event\StripeEvents;
use Drupal\payment_stripe\Event\StripeWebhookEvent;
use Drupal\payment_stripe\Event\StripeWebhookChargeSucceeded;
use Drupal\payment_stripe\Event\StripeWebhookChargeFailed;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;
/**
 * Class ExampleEventSubScriber.
 *
 * @package Drupal\payment_stripe
 */
class StripeEventSubScriber implements EventSubscriberInterface {
  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[StripeEvents::WEBHOOK][] = array('onStripeWebhook');
    $events[StripeEvents::WEBHOOK_CHARGE_SUCCEEDED][] = array('onStripeChargeSucceed');
    $events[StripeEvents::WEBHOOK_CHARGE_FAILED][] = array('onStripeChargeFailed');
    return $events;
  }

  /**
   * @param StripeWebhookChargeSucceeded $event
   */
  public function onStripeChargeSucceed(StripeWebhookChargeSucceeded $event) {
    $eventStripe = $event->getEvent();
    // Get all values in array
    $chargeArray = $eventStripe->jsonSerialize();
    \Drupal::logger('onStripeChargeSucceed')->notice('Data Charge Succeeded alvaro[description]: '.$eventStripe->id);
    \Drupal::logger('onStripeChargeSucceed')->notice('$chargeArray: '.$chargeArray['id']);
    \Drupal::logger('onStripeChargeSucceed')->notice('$dataType: '.$chargeArray['status']);
  }

  /**
   * @param StripeWebhookChargeFailed $event
   */
  public function onStripeChargeFailed(StripeWebhookChargeFailed $event) {
    \Drupal::logger('onStripeChargeFailed')->notice('onStripeChargeFailed received from Stripe dashboard: '.$event->getStripeId());
  }

  /**
   * @param StripeWebhookEvent $event
   */
  public function onStripeWebhook(StripeWebhookEvent $event) {
    \Drupal::logger('onStripeWebhook')->notice('onStripeWebhook from WEB: '.$event->getEvent()->type);
  }

}